\name{sv}
\alias{sv}
\alias{sv.default}
\alias{sv.sb.iso}
\alias{sv.svarmod}
\title{Evaluate a semivariogram model}
\usage{
  sv(x, h, ...)

  \method{sv}{default} (x, h, ...)

  \method{sv}{svarmod} (x, h, ...)

  \method{sv}{sb.iso} (x, h, ...)
}
\arguments{
  \item{x}{variogram model (\code{\link{svarmod}} object).}

  \item{h}{vector (isotropic case) or matrix of lags
  values.}

  \item{...}{further arguments passed to or from other
  methods.}
}
\value{
  A vector of semivariance values \eqn{\gamma(h_i)}.
}
\description{
  Evaluates an \code{svarmod} object \code{x} at lags
  \code{h} (S3 generic function).
}
\seealso{
  \code{\link{covar}}
}

